@echo off
echo **************************************************************************
echo *             AnaDigIO, (C) SENG digitale Systeme GmbH 1999              *
echo *       Installationsprozedur und Entpacken von Dateien unter DOS        *
echo *                Installation-batch with file un-compress                *
echo **************************************************************************
echo * Batch: Installations Prozedur fr AnaDigIO                             *
echo *        Installation-batch for AnaDigIO                                 *
echo *                                                                        *
echo * SYNTAX: adsetup Quellaufwerk: Ziellaufwerk: Installationspfad Treiber  *
echo *         adsetup Sourcedrive: Destinationdrive: Path Driver             *
echo *         Driver: GFS-DIAdem-DIA/DAGO:       D                           *
echo *                 CEC-TestPoint:             T                           *
echo *                 Microsoft-Visual Basic:    B                           *
echo *                 DOS-CPP-Library:           C                           *
echo *                 Windows DLL:               W                           *
echo *                 Utilities:                 U                           *
echo *         adsetup [A:,B:,C:,..,F:] [A:,B:,C:,..,F:] [PATH] [D,T,B,C,W,U] *
echo *                                                                        *
echo * BEISPIEL (fr DIADEM-DIA/DAGO):     a:adsetup a: c: \diadem d          *
echo * EXAMPLE (for TestPoint):            a:adsetup a: c: \tools t           *
echo **************************************************************************

if "%1"=="a:" goto runa
if "%1"=="A:" goto runa
if "%1"=="b:" goto runa
if "%1"=="B:" goto runa
if "%1"=="c:" goto runa
if "%1"=="C:" goto runa
if "%1"=="d:" goto runa
if "%1"=="D:" goto runa
if "%1"=="e:" goto runa
if "%1"=="E:" goto runa
if "%1"=="f:" goto runa
if "%1"=="F:" goto runa
echo Quellaufwerk mu A: oder B: oder C: oder D: oder E: oder F: sein
echo setup abgebrochen
goto error

:runa
if "%2"=="a:" goto run
if "%2"=="A:" goto run
if "%2"=="b:" goto run
if "%2"=="B:" goto run
if "%2"=="c:" goto run
if "%2"=="C:" goto run
if "%2"=="d:" goto run
if "%2"=="D:" goto run
if "%2"=="e:" goto run
if "%2"=="E:" goto run
if "%2"=="f:" goto run
if "%2"=="F:" goto run
echo Ziellaufwerk mu A: oder B: oder C: oder D: oder E: oder F: sein
echo setup abgebrochen
echo
goto error

:run
if not exist %2\SENGINST\nul goto kopieren
echo Temporrer Pfad %2\SENGINST existiert bereits, setup abgebrochen
goto error

:kopieren
%2
xcopy %1\*.* %2\SENGINST\*.*
cd %2\SENGINST
lharc e anadigio

:install
xcopy %2\SENGINST\readme.txt %2%3\*.* /-y
xcopy %2\SENGINST\liesmich.txt %2%3\*.* /-y
xcopy %2\SENGINST\anaini.exe %2%3\*.*
xcopy %2\SENGINST\*.lcb %2%3\*.*
xcopy %2\SENGINST\anatest.exe %2%3\*.*
xcopy %1\pdf_files\ad_buch.pdf %2%3\*.*
if "%4"=="d" goto gfs
if "%4"=="D" goto gfs
if "%4"=="t" goto tstpoint
if "%4"=="T" goto tstpoint
if "%4"=="b" goto vbasic
if "%4"=="B" goto vbasic
if "%4"=="c" goto cpplib
if "%4"=="C" goto cpplib
if "%4"=="w" goto windll
if "%4"=="W" goto windll
if "%4"=="u" goto utility
if "%4"=="U" goto utility

:gfs
goto ende

:tstpoint
xcopy %2\SENGINST\tstpoint.txt %2%3\*.*
xcopy %2\SENGINST\anawin.doc %2%3\*.*
xcopy %2\SENGINST\objref.doc %2%3\*.*
xcopy %2\SENGINST\anawin.tst %2%3\*.*
xcopy %2\SENGINST\default.scl %2%3\*.*
xcopy %2\SENGINST\senglogo.bmp %2%3\*.*
xcopy %2\SENGINST\anawin.dll %2%3\*.*
goto ende

:windll
xcopy %2\SENGINST\anawin.txt %2%3\*.*
xcopy %2\SENGINST\anawin.dll %2%3\*.*
goto ende

:vbasic
xcopy %2\SENGINST\vb_demo.mak %2%3\*.*
xcopy %2\SENGINST\vb_demo.frm %2%3\*.*
xcopy %2\SENGINST\vb_demo.exe %2%3\*.*
xcopy %2\SENGINST\anawin.txt %2%3\*.*
xcopy %2\SENGINST\anawin.dll %2%3\*.*
goto ende

:cpplib
xcopy %2\SENGINST\analib.txt %2%3\*.*
xcopy %2\SENGINST\anaproto.txt %2%3\*.*
xcopy %2\SENGINST\analib.lib %2%3\*.*
xcopy %2\SENGINST\anademo.prj %2%3\*.*
xcopy %2\SENGINST\anademo.cpp %2%3\*.*
xcopy %2\SENGINST\005glob.h %2%3\*.*
xcopy %2\SENGINST\005konst.h %2%3\*.*
xcopy %2\SENGINST\005proto.h %2%3\*.*
xcopy %2\SENGINST\007ext.h %2%3\*.*
xcopy %2\SENGINST\007glob.h %2%3\*.*
xcopy %2\SENGINST\007konst.h %2%3\*.*
xcopy %2\SENGINST\007proto.h %2%3\*.*
xcopy %2\SENGINST\msgglob.h %2%3\*.*
xcopy %2\SENGINST\msgkonst.h %2%3\*.*
goto ende

:utility
xcopy %2\SENGINST\anadigio.par %2%3\*.*
xcopy %2\SENGINST\ad378.par %2%3\*.*
xcopy %2\SENGINST\ppconfig.exe %2%3\*.*
xcopy %2\SENGINST\ecpon.com %2%3\*.*
xcopy %2\SENGINST\gfstr037.dll %2%3\*.*
goto ende

:ende
cd %2\
deltree /y %2\SENGINST
echo Install erfolgreich beendet
goto stop

:error
echo Re-run ADSETUP mit korrekten Parametern

:stop
echo.
REM echo on
