Attribute VB_Name = "AnaDigIODLL"
' -----------------------------------------------------------
' VB- Konstanten und -Funktions-Prototypen fr AnaDigIO.dll
' -----------------------------------------------------------
' SENG digitale Systeme
' -----------------------------------------------------------

' ----- Konstanten -----
Public Const GAIN_x1 = 1                ' AD-Vorverstrker Gain=1
Public Const GAIN_x10 = 10              ' AD-Vorverstrker Gain=10
Public Const GAIN_x100 = 100            ' AD-Vorverstrker Gain=100

' AINx, Kanalzuweisung abhngig von Aufsatz-Module Box -> siehe Handbuch
Public Const AIA1 = &HF0            ' Eingang AIN1, Single Ended
Public Const AIA2 = &HF1            ' Eingang AIN2, Single Ended
Public Const AIA3 = &HF2            ' Eingang AIN3, Single Ended
Public Const AIA4 = &HF3            ' Eingang AIN4, Single Ended
Public Const AIA5 = &HF4            ' Eingang AIN5, Single Ended
Public Const AIA6 = &HF5            ' Eingang AIN6, Single Ended
Public Const AIA7 = &HF6            ' Eingang AIN7, Single Ended
Public Const AIA8 = &HF7            ' Eingang AIN8, Single Ended
Public Const AIA9 = &HF8            ' Eingang AIN9, Single Ended
Public Const AIA10 = &HF9           ' Eingang AIN10, Single Ended
Public Const AIA11 = &HFA           ' Eingang AIN11, Single Ended
Public Const AIA12 = &HFB           ' Eingang AIN12, Single Ended
Public Const AIB1 = &HF             ' Eingang AIN13, Single Ended
Public Const AIB2 = &H1F            ' Eingang AIN14, Single Ended
Public Const AIB3 = &H2F            ' Eingang AIN15, Single Ended
Public Const AIB4 = &H3F            ' Eingang AIN16, Single Ended
Public Const AIB5 = &H4F            ' Eingang AIN17, Single Ended
Public Const AIB6 = &H5F            ' Eingang AIN18, Single Ended
Public Const AIB7 = &H6F            ' Eingang AIN19, Single Ended
Public Const AIB8 = &H7F            ' Eingang AIN20, Single Ended
Public Const AIB9 = &H8F            ' Eingang AIN21, Single Ended
Public Const AIB10 = &H9F           ' Eingang AIN22, Single Ended
Public Const AIB11 = &HAF           ' Eingang AIN23, Single Ended
Public Const AIB12 = &HBF           ' Eingang AIN24, Single Ended
Public Const AIN1DIFF = &H0         ' Eingang AIN1, differenziell
Public Const AIN2DIFF = &H11        ' Eingang AIN2, differenziell
Public Const AIN3DIFF = &H22        ' Eingang AIN3, differenziell
Public Const AIN4DIFF = &H33        ' Eingang AIN4, differenziell
Public Const AIN5DIFF = &H44        ' Eingang AIN5, differenziell
Public Const AIN6DIFF = &H55        ' Eingang AIN6, differenziell
Public Const AIN7DIFF = &H66        ' Eingang AIN7, differenziell
Public Const AIN8DIFF = &H77        ' Eingang AIN8, differenziell
Public Const AIN9DIFF = &H88        ' Eingang AIN9, differenziell
Public Const AIN10DIFF = &H99       ' Eingang AIN10, differenziell
Public Const AIN11DIFF = &HAA       ' Eingang AIN11, differenziell
Public Const AIN12DIFF = &HBB       ' Eingang AIN12, differenziell
Public Const AIN_AO1 = &HFC         ' Ausgang AO1 rcklesen, Single Ended
Public Const AIN_AO2 = &HFD         ' Ausgang AO2 rcklesen, Single Ended
Public Const AIN_REF = &HFE         ' interne Referenzspannung rcklesen

' AOUT
Public Const AOUT1 = 1               ' Analog Out, Channel 1, Single Ended
Public Const AOUT2 = 2               ' Analog Out, Channel 2, Single Ended


' DIN / DOUT
Public Const PORT_DOUT = &H10           ' DOUT Ausgabeport ( == P0 )
Public Const PORT_DIN = &H11            ' DIN  Eingabeport ( == P1 )


' ----- Deklarationen aller von AnaDigIO.dll exportierten Funktionen -----

' Init/Deinit AnaDigIO device
Public Declare Function enableDLLmessages_HWaccInitVb Lib "AnaDigIO" () As Long
Public Declare Function InitAnaDigIODevice Lib "AnaDigIO" (ByVal lBaseAdr As Long) As Long
Public Declare Sub DeInitAnaDigIO Lib "AnaDigIO" ()


' ----- Measurement functions -----------------------------------------------
Public Declare Function GetADRefVoltage Lib "AnaDigIO" () As Single
Public Declare Function getADVm Lib "AnaDigIO" (ByVal ucGain As Byte, ByVal ucMux As Byte, ByVal lAnzahl As Long) As Single

Public Declare Function putDAVolt Lib "AnaDigIO" (ByVal ucChannel As Byte, ByVal fVolt As Single, ByVal ucUpdate As Byte) As Long
Public Declare Sub outbyte Lib "AnaDigIO" (ByVal ucPort As Byte, ByVal ucData As Byte)
Public Declare Function inbyte Lib "AnaDigIO" (ByVal ucPort As Byte) As Byte

