// AnaDigIOVcTestDlg.cpp : Implementierungsdatei
//

#include "stdafx.h"

#include "AnaDigIO_Export.h"	// Import von exportierten Funktionen von AnaDigIO.dll

#include "AnaDigIOVcTest.h"
#include "AnaDigIOVcTestDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg-Dialogfeld fr Anwendungsbefehl "Info"

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialogfelddaten
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// Vom Klassenassistenten generierte berladungen virtueller Funktionen
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV-Untersttzung
	//}}AFX_VIRTUAL

// Implementierung
protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// Keine Nachrichten-Handler
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CAnaDigIOVcTestDlg Dialogfeld

CAnaDigIOVcTestDlg::CAnaDigIOVcTestDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CAnaDigIOVcTestDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CAnaDigIOVcTestDlg)
	//}}AFX_DATA_INIT
	// Beachten Sie, dass LoadIcon unter Win32 keinen nachfolgenden DestroyIcon-Aufruf bentigt
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CAnaDigIOVcTestDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAnaDigIOVcTestDlg)
	DDX_Control(pDX, IDC_EDIT_DIN, m_DInEditCtrl);
	DDX_Control(pDX, IDC_EDIT_DOUTP0, m_DOutEditCtrl);
	DDX_Control(pDX, IDC_EDIT_AOUT, m_AOutEditCtrl);
	DDX_Control(pDX, IDC_EDIT_AIN1, m_AIN1EditCtrl);
	DDX_Control(pDX, IDC_EDIT_AINREF, m_RefVoltageEditCtrl);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAnaDigIOVcTestDlg, CDialog)
	//{{AFX_MSG_MAP(CAnaDigIOVcTestDlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_WM_DESTROY()
	ON_BN_CLICKED(IDC_BUT_AIN_REF, OnButtonAnalogInRefVoltage)
	ON_BN_CLICKED(IDC_BUT_AIN1, OnButtonAIN1)
	ON_BN_CLICKED(IDC_BUT_AOUT1, OnButtonAOut1)
	ON_BN_CLICKED(IDC_BUT_AOUT2, OnButtonAOut2)
	ON_BN_CLICKED(IDC_BUT_DOUT, OnButtonDOUT)
	ON_BN_CLICKED(IDC_BUT_DIN, OnButtonDIN)
	ON_WM_CHAR()
	ON_BN_CLICKED(IDC_BUT_INITERROR, OnInitError)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CAnaDigIOVcTestDlg Nachrichten-Handler

BOOL CAnaDigIOVcTestDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Hinzufgen des Menbefehls "Info..." zum Systemmen.

	// IDM_ABOUTBOX muss sich im Bereich der Systembefehle befinden.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{	
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Symbol fr dieses Dialogfeld festlegen. Wird automatisch erledigt
	//  wenn das Hauptfenster der Anwendung kein Dialogfeld ist
	SetIcon(m_hIcon, TRUE);			// Groes Symbol verwenden
	SetIcon(m_hIcon, FALSE);		// Kleines Symbol verwenden
	
	///////////////////////////////////////////////////////////////////////
	// ZU ERLEDIGEN: Hier zustzliche Initialisierung einfgen
	///////////////////////////////////////////////////////////////////////

	
	// Save global ptr to message-function. Falls NULL bergeben wird, dann gibt die AnaDigIO.dll
	// keine Meldungen aus ( die Rckruffunktion g_pfnMessage() wird nicht ausgefhrt )
	if ( !enableDLLmessages_HWaccInit( NULL ) )
	{
		// HWAccess-Treiber wurde nicht geladen --> do nothing
		// Fehler
		// Fehlertext --> strLoadErrorText
		strLoadErrorText = "Fehler:\nDer Hardware-Zugriffs-Treiber\n\t'HWAccess.sys' (WinNT) oder \n\t'HWAccess.vxd' (Win9x) \nkonnte nicht geladen werden !!!\n\nDer Gertezugriff ist nicht mglich.";
		PostMessage( WM_COMMAND, IDC_BUT_INITERROR );
	}
	else
	{
		// ----------------------------------------------------------------------
		// 2. Gert an LPT-Port suchen
		// ----------------------------------------------------------------------
		if ( InitAnaDigIODevice(0) == FALSE )
		{
			// Fehler
			// Fehlertext --> strLoadErrorText
			strLoadErrorText = "Fehler:\nDas Gert wurde nicht gefunden.\n\nBitte fhren Sie AnaIni.exe aus.";
			
			PostMessage( WM_COMMAND, IDC_BUT_INITERROR );

		}

		// -----------------------------------------------------------------------
		// 3. Init Dialog-Controls
		m_DOutEditCtrl.SetLimitText(2);			// EditControl Analog Out auf max 2 Zeichen begrenzen
		m_DOutEditCtrl.SetWindowText( "FF" );	// und mit "FF" vorbelegen
	}

	
	return TRUE;  // Geben Sie TRUE zurck, auer ein Steuerelement soll den Fokus erhalten
}



void CAnaDigIOVcTestDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// Wollen Sie Ihrem Dialogfeld eine Schaltflche "Minimieren" hinzufgen, bentigen Sie 
//  den nachstehenden Code, um das Symbol zu zeichnen. Fr MFC-Anwendungen, die das 
//  Dokument/Ansicht-Modell verwenden, wird dies automatisch fr Sie erledigt.

void CAnaDigIOVcTestDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // Gertekontext fr Zeichnen

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Symbol in Client-Rechteck zentrieren
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Symbol zeichnen
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// Die Systemaufrufe fragen den Cursorform ab, die angezeigt werden soll, whrend der Benutzer
//  das zum Symbol verkleinerte Fenster mit der Maus zieht.
HCURSOR CAnaDigIOVcTestDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}


void CAnaDigIOVcTestDlg::OnDestroy() 
{
	CDialog::OnDestroy();
	
	// TODO: Code fr die Behandlungsroutine fr Nachrichten hier einfgen

	// ---------------------------------------------------------------------------------------
	// Verbindung zum Gert trennen und Hardware-Access-Treiber schliessen
	if ( m_bIsHwAccessDriverInstalled )
	{
		DeInitAnaDigIO();		
	}
}


void CAnaDigIOVcTestDlg::OnButtonAnalogInRefVoltage() 
{
	// TODO: Code fr die Behandlungsroutine der Steuerelement-Benachrichtigung hier einfgen

	//////////////////////////////////////////////////////////////////////////////
	// Gerte-Referenzspannungswert lesen --> fRefVoltage

	float fRefVoltage;
	CString strRefVoltage;

	// Variante 1:
	fRefVoltage = GetADRefVoltage();

	/* Variante 2:
	fRefVoltage = getADVm(	1,		// AD-Vorverstrker Gain=1
							0xFE,	// MUX-Adresse interne Referenzspannung, siehe Blockschaltbild AnaDigIO
							1 );	// Mittelwertbildung, hier nur eine Messung
	*/

	// Referenzspannung im schreibgeschtzten Editfeld anzeigen
	strRefVoltage.Format( "%2.3f", fRefVoltage );
	m_RefVoltageEditCtrl.SetWindowText( strRefVoltage );
	
	//////////////////////////////////////////////////////////////////////////////
	
}


void CAnaDigIOVcTestDlg::OnButtonAIN1() 
{
	// TODO: Code fr die Behandlungsroutine der Steuerelement-Benachrichtigung hier einfgen

	/////////////////////////////////////////////////////////////////////////////
	// AIN1 (Analog In 1), Verstrkung=1, Anzahl Messung=1
	// dito fr AnalogIn, Kanal 2 bis 12 --> Konstanten AIN2SE .. AIN12SE
	///////////////////////////////////////////////////////////////////////////

	float fAIN1Value = getADVm(	1,			// AD-Vorverstrker Gain=1 
								0xF0,		// 0xF0 MUX-Adresse AIN1, siehe Blockschaltbild AnaDigIO
								1 );		// Mittelwertbildung, Anzahl der Messungen (1 = keine Mittelwertbildung)

	// Messwert anzeigen
	CString strAIN1Value;
	strAIN1Value.Format( "%2.3f", fAIN1Value );
	m_AIN1EditCtrl.SetWindowText( strAIN1Value );
	
}


void CAnaDigIOVcTestDlg::OnButtonAOut1() 
{
	// TODO: Code fr die Behandlungsroutine der Steuerelement-Benachrichtigung hier einfgen

	//////////////////////////////////////////////////////////////////////////////
	// Analog Out Voltage, Single Ended
	/////////////////////////////////////////////////////////////////////////////

	// Get Voltage from edit control	--> strValue
	CString strValue;
	m_AOutEditCtrl.GetWindowText( strValue );

	if ( strValue.IsEmpty() )
	{
		AfxMessageBox( "Fehlerhafte Eingabe. Das Kommando wird ignoriert.", MB_OK | MB_ICONSTOP );
		m_AOutEditCtrl.SetFocus();
	}
	else
	{
		// Convert to float --> fValue
		float		fValue;
		char		*stopstring;
		fValue = (float)strtod( strValue, &stopstring );

		// AOUT1: Output Voltage fValue (Single Ended) on Channel 1
		putDAVolt(	1,				// BYTE Channel, Analog out Channel 1 
						fValue,				// float Voltage
						1 );					// Update=0 --> nur Eingangsregister schreiben, Update=1 --> Eingangsregister und Ausgangsregister schreiben
	}
	
}

void CAnaDigIOVcTestDlg::OnButtonAOut2() 
{
	// TODO: Code fr die Behandlungsroutine der Steuerelement-Benachrichtigung hier einfgen

	//////////////////////////////////////////////////////////////////////////////
	// Analog Out Voltage, Single Ended
	/////////////////////////////////////////////////////////////////////////////

	// Get Voltage from edit control	--> strValue
	CString strValue;
	m_AOutEditCtrl.GetWindowText( strValue );

	if ( strValue.IsEmpty() )
	{
		AfxMessageBox( "Fehlerhafte Eingabe. Das Kommando wird ignoriert.", MB_OK | MB_ICONSTOP );
		m_AOutEditCtrl.SetFocus();
	}
	else
	{
		// Convert string to float --> fValue
		float		fValue;
		char		*stopstring;
		fValue = (float)strtod( strValue, &stopstring );

		// AOUT2: Output Voltage fValue (Single Ended) on Channel 2
		putDAVolt(	2,				// BYTE Channel, Analog out Channel 2 
						fValue,				// float Voltage
						1 );					// Update=0 --> nur Eingangsregister schreiben, Update=1 --> Eingangsregister und Ausgangsregister schreiben
	}
		
}


void CAnaDigIOVcTestDlg::OnButtonDOUT() 
{
	// TODO: Code fr die Behandlungsroutine der Steuerelement-Benachrichtigung hier einfgen

	//////////////////////////////////////////////////////////////////////////////
	// Digital Out, Port 0
	/////////////////////////////////////////////////////////////////////////////

	
	// Get byte from edit control --> strHexData
	CString strHexData;
	m_DOutEditCtrl.GetWindowText( strHexData );

	if ( ! strHexData.IsEmpty() )			// if string is not empty
	{
		for ( int i=0; i<strHexData.GetLength(); i++ )
		{
			if ( !isxdigit( strHexData[i] ) )
			{
				// Ungltiges Zeichen --> MessageBox
				AfxMessageBox( "Fehlerhafte Eingabe. Das Kommando wird ignoriert.", MB_OK | MB_ICONSTOP );
				m_DOutEditCtrl.SetFocus();
				return;
			}
		}

		// interpret as hex value --> uiHexData
		UINT uiHexData;
		sscanf(strHexData, "%x", &uiHexData);

		// Digital Out
		SetDigitalPortP0 ((BYTE)uiHexData);
	}
	else
	{
		AfxMessageBox( "Fehlerhafte Eingabe. Das Kommando wird ignoriert.", MB_OK | MB_ICONSTOP );
		m_DOutEditCtrl.SetFocus();
	}
	
}

void CAnaDigIOVcTestDlg::OnButtonDIN() 
{
	// TODO: Code fr die Behandlungsroutine der Steuerelement-Benachrichtigung hier einfgen
	
	// Digital In --> ucHexData
	BYTE ucHexData;
	ucHexData = GetDigitalPortP1();

	// Convert Hexdata to string --> strHexData
	CString strHexData;
	strHexData.Format( "%X", ucHexData );
	
	// HexData-String im schreibgeschtzten Editfeld anzeigen
	m_DInEditCtrl.SetWindowText( strHexData );
	
}


void CAnaDigIOVcTestDlg::OnInitError() 
{
	// TODO: Code fr die Behandlungsroutine der Steuerelement-Benachrichtigung hier einfgen

	///////////////////////////////////////////////////////////////////
	// Disable all command buttons, because a severe starting error occured
	// messageBox-Errortext, siehe strLoadErrorText

	// AIN
	GetDlgItem(IDC_BUT_AIN_REF)->EnableWindow(FALSE);
	GetDlgItem(IDC_BUT_AIN1)->EnableWindow(FALSE);

	// AOUTx
	GetDlgItem(IDC_BUT_AOUT1)->EnableWindow(FALSE);
	GetDlgItem(IDC_BUT_AOUT2)->EnableWindow(FALSE);

	//DIG IN/OUT
	GetDlgItem(IDC_BUT_DOUT)->EnableWindow(FALSE);
	GetDlgItem(IDC_BUT_DIN)->EnableWindow(FALSE);

	// Show the errortext strLoadErrorText, assigned on OnInitDialog()
	AfxMessageBox( strLoadErrorText, MB_OK | MB_ICONSTOP  );
	
}
